Loading...
Searching...
No Matches
Opm::SummaryState Class Reference

## Public Types

using | const_iterator = std::unordered_map<std::string, double>::const_iterator

## Public Member Functions

| SummaryState (time_point sim_start_arg, double udqUndefined)
| SummaryState (std::time_t sim_start_arg)
void | set (const std::string &key, double value)
bool | erase (const std::string &key)
bool | erase_well_var (const std::string &well, const std::string &var)
bool | erase_group_var (const std::string &group, const std::string &var)
bool | has (const std::string &key) const
bool | has_well_var (const std::string &well, const std::string &var) const
bool | has_well_var (const std::string &var) const
bool | has_group_var (const std::string &group, const std::string &var) const
bool | has_group_var (const std::string &var) const
bool | has_conn_var (const std::string &well, const std::string &var, std::size_t global_index) const
bool | has_segment_var (const std::string &well, const std::string &var, std::size_t segment) const
bool | has_region_var (const std::string &regSet, const std::string &var, std::size_t region) const
void | update (const std::string &key, double value)
void | update_well_var (const std::string &well, const std::string &var, double value)
void | update_group_var (const std::string &group, const std::string &var, double value)
void | update_elapsed (double delta)
void | update_udq (const UDQSet &udq_set)
void | update_conn_var (const std::string &well, const std::string &var, std::size_t global_index, double value)
void | update_segment_var (const std::string &well, const std::string &var, std::size_t segment, double value)
void | update_region_var (const std::string &regSet, const std::string &var, std::size_t region, double value)
double | get (const std::string &) const
double | get (const std::string &, double) const
double | get_elapsed () const
double | get_well_var (const std::string &well, const std::string &var) const
double | get_group_var (const std::string &group, const std::string &var) const
double | get_conn_var (const std::string &conn, const std::string &var, std::size_t global_index) const
double | get_segment_var (const std::string &well, const std::string &var, std::size_t segment) const
double | get_region_var (const std::string &regSet, const std::string &var, std::size_t region) const
double | get_well_var (const std::string &well, const std::string &var, double) const
double | get_group_var (const std::string &group, const std::string &var, double) const
double | get_conn_var (const std::string &conn, const std::string &var, std::size_t global_index, double) const
double | get_segment_var (const std::string &well, const std::string &var, std::size_t segment, double) const
double | get_region_var (const std::string &regSet, const std::string &var, std::size_t region, double) const
double | get_udq_undefined () const
bool | is_undefined_value (const double val) const
const std::vector< std::string > & | wells () const
std::vector< std::string > | wells (const std::string &var) const
const std::vector< std::string > & | groups () const
std::vector< std::string > | groups (const std::string &var) const
void | append (const SummaryState &buffer)
const_iterator | begin () const
const_iterator | end () const
std::size_t | num_wells () const
std::size_t | size () const
bool | operator== (const SummaryState &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static SummaryState | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/SummaryState.hpp
- opm/input/eclipse/Schedule/SummaryState.cpp